package com.example.myapplication;

import android.os.Build;
import android.os.Bundle;
import android.support.annotation.RequiresApi;
import android.support.v7.app.AppCompatActivity;
import android.util.Log;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

import java.util.ArrayList;

public class MainActivity extends AppCompatActivity {
    EditText edit_query1,edit_query;
    String first,second;

    @RequiresApi(api = Build.VERSION_CODES.P)
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        edit_query1=findViewById(R.id.edit_query1);
        edit_query=findViewById(R.id.edit_query);

        findViewById(R.id.buttonPanel).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {

                if(!edit_query.getText().toString().isEmpty() && !edit_query1.getText().toString().isEmpty()){
                    first=edit_query.getText().toString().trim();
                    second=edit_query1.getText().toString().trim();

                }
                if(araAnagram(first,second)){
                    countAnagrams(second,"for");
                }




        }});



    }

    private void countAnagrams(String first, String rea) {
        int res = 0;
        String s = null;
        int N = first.length();
        int n = rea.length();
        for (int i = 0; i <= N - n; i++) {

            s= first.substring(i, i + n);
            if (araAnagram(rea.trim(), s)) {
                res++;
            }
        }

        Toast.makeText(MainActivity.this,""+res,Toast.LENGTH_LONG).show();
    }

    private boolean araAnagram(String first, String second) {
        boolean value=false;
        char[] firstchar=first.toCharArray();
        char[] secondchar=second.toCharArray();
        for(int i=0;i<firstchar.length;i++) {

            for (int j = 0; j < secondchar.length; j++) {
                if (firstchar[i] == secondchar[j]) {
                  value=true;
                }
            }
        }

        return value;
    }
}
